# 5.7. PORTSCOUT

5.7. `PORTSCOUT`
Prev | Chapter 5. Configuring the Makefile | Next

## 5.7. `PORTSCOUT`

Portscout is an automated distfile check utility for the FreeBSD Ports Collection, described in detail in Section 14.5, “Portscout: the FreeBSD Ports Distfile Scanner”.

The `PORTSCOUT` variable defines special conditions within which the Portscout distfile scanner should be restricted.

Situations where the `PORTSCOUT` variable should be set include:

- When distfiles should be ignored, whether for specific versions, or specific minor revisions. For example, to exclude version `8.2` from distfile version checks because it is known to be broken, add:

  PORTSCOUT= ignore:8.2

- When specific versions or specific major and minor revisions of a distfile should be checked. For example, if only version `0.6.4` should be monitored because newer versions have compatablity issues with FreeBSD, add:

  PORTSCOUT= limit:^0\.6\.4

- When URLs listing the available versions differ from the download URLs. For example, to limit distfile version checks to the download page for the `databases/pgtune` port, add:

  PORTSCOUT= site:http://pgfoundry.org/frs/?group_id=1000416

Prev | Up | Next
5.6. `COMMENT` | Home | 5.8. Dependencies

This, and other documents, can be downloaded from http://ftp.FreeBSD.org/pub/FreeBSD/doc/

For questions about FreeBSD, read the documentation before contacting <questions@FreeBSD.org>.
For questions about this documentation, e-mail <doc@FreeBSD.org>.